org.apache.olingo.commons.api.edm.provider.annotation

## Class CsdlIsOf

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlExpression
    - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlDynamicExpression
      - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlIsOf

- All Implemented Interfaces:
    CsdlAnnotatable

      public class CsdlIsOf
      extends CsdlDynamicExpression
      implements CsdlAnnotatable

  The edm:IsOf expression evaluates a child expression and returns a Boolean value indicating whether the child expression returns the specified type

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlIsOf()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `Integer` | `getMaxLength()` Facet MaxLength
    `Integer` | `getPrecision()` Facet Precision
    `Integer` | `getScale()` Facet Scale
    `SRID` | `getSrid()` Facet SRID
    `String` | `getType()` The type which is checked again the child expression
    `CsdlExpression` | `getValue()` Returns the child expression
    `int` | `hashCode()`
    `CsdlIsOf` | `setAnnotations(List<CsdlAnnotation> annotations)`
    `CsdlIsOf` | `setMaxLength(Integer maxLength)`
    `CsdlIsOf` | `setPrecision(Integer precision)`
    `CsdlIsOf` | `setScale(Integer scale)`
    `CsdlIsOf` | `setSrid(SRID srid)`
    `CsdlIsOf` | `setType(String type)`
    `CsdlIsOf` | `setValue(CsdlExpression value)`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.annotation.CsdlDynamicExpression

      `asAnnotationPath, asApply, asCast, asCollection, asIf, asIsOf, asLabeledElement, asLabeledElementReference, asLogicalOrComparison, asNavigationPropertyPath, asNull, asPath, asPropertyPath, asRecord, asUrlRef, isAnnotationPath, isApply, isCast, isCollection, isIf, isIsOf, isLabeledElement, isLabeledElementReference, isLogicalOrComparison, isNavigationPropertyPath, isNull, isPath, isPropertyPath, isRecord, isUrlRef`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.annotation.CsdlExpression

      `asConstant, asDynamic, isConstant, isDynamic`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlIsOf

          public CsdlIsOf()

  - ### Method Detail

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlIsOf setAnnotations(List<CsdlAnnotation> annotations)

    - #### getType

          public String getType()

      The type which is checked again the child expression
      Returns:
        EdmType type

    - #### setType

          public CsdlIsOf setType(String type)

    - #### getMaxLength

          public Integer getMaxLength()

      Facet MaxLength
      Returns:
        fact MaxLength

    - #### setMaxLength

          public CsdlIsOf setMaxLength(Integer maxLength)

    - #### getPrecision

          public Integer getPrecision()

      Facet Precision
      Returns:
        fact Precision

    - #### setPrecision

          public CsdlIsOf setPrecision(Integer precision)

    - #### getScale

          public Integer getScale()

      Facet Scale
      Returns:
        facet Scale

    - #### setScale

          public CsdlIsOf setScale(Integer scale)

    - #### getSrid

          public SRID getSrid()

      Facet SRID
      Returns:
        facet SRID

    - #### setSrid

          public CsdlIsOf setSrid(SRID srid)

    - #### getValue

          public CsdlExpression getValue()

      Returns the child expression
      Returns:
        Returns the child expression

    - #### setValue

          public CsdlIsOf setValue(CsdlExpression value)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.